%global srcname gamera
%global sum Gamera is a framework for building document analysis applications

Name:		python-%{srcname}
Version:	3.4.3
Release:	1%{?dist}
Summary:	%{sum}

License:	GPLv2
URL:		https://github.com/hsnr-gamera/%{srcname}
Source0:	https://github.com/hsnr-gamera/%{srcname}/releases/download/%{version}/%{srcname}-%{version}.tar.gz
Source1:	%{name}.desktop

BuildRequires:	python2-devel
BuildRequires:	wxPython
BuildRequires:	gcc
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	desktop-file-utils

%description
Gamera is a framework for building document analysis applications.
It is not a packaged document recognition system, 
but a toolkit for building document image recognition systems.
For more information about Gamera, visit the Gamera website at:
http://gamera.informatik.hsnr.de/

%package devel
Summary:	%{sum}
Provides:	%{srcname}-static = %{version}-%{release}

%description devel
Devel gamera package.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build

%install
# Must do the python2 install first because the scripts in /usr/bin are
# overwritten with every setup.py install, and in general we want the
# python3 version to be the default.
# If, however, we're installing separate executables for python2 and python3,
# the order needs to be reversed so the unversioned executable is the python2 one.
desktop-file-install					\
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications		\
%{SOURCE1}
%py2_install
chmod 755 %{buildroot}/%{python2_sitearch}/%{srcname}/gendoc.py

%files
%license LICENSE
%doc %attr(644,-,-) README
# For noarch packages: sitelib
%{_datadir}/applications/%{name}.desktop
%{_bindir}/*
%{python2_sitearch}/%{srcname}*

%files devel
%defattr(644,root,root,755)
%{_includedir}/python2.7/%{srcname}/
%{python2_sitelib}/%{srcname}

%changelog
* Wed Mar 8 2017 Vincent Saulnier <vincent@casperlefantom.net> - 3.4.3-1
- New release by upstream 
- GCC7 supported
- Add desktop file
- Add devel package
- Modify macro name in changelog

* Fri Mar 3 2017 Vincent Saulnier <vincent@casperlefantom.net> - 3.4.2-2
- Remove macros on top of Spec file
- Use macros on URLs
- Substitution of macro name: __python2 setup.py build by macro name: py2_build
- Replacement BuildRequires libpng by libpng-devel and libtiff by libtiff-devel
- Remove rm -rf macro name: buildroot/ macro name: python2_sitelib
- Add macro name: python2_sitelib/*

* Mon Feb 27 2017 Vincent Saulnier <vincent@casperlefantom.net> - 3.4.2-1
- Initial Spec file 
